// -*- coding: utf-8 -*-
// Title: Wormholegate L5 Earth-Sol
// File: EarthSolL5WHG.sc
// Author: JackDole 
// Date: 2016.05.04 18:27:43

Barycenter	"L5-Sol-Earth"
{
    ParentBody     "Sol"
    
    Orbit
    {
        Epoch          2451545
        Period         1.0
        SemiMajorAxis  1.0000010178
        Eccentricity   0.0167086342
        Inclination    0.0
        AscendingNode  348.739
        LongOfPericen  102.93734808
        MeanLongitude  40.46645683
        RefPlane      "Ecliptic"
    }
}
/**/
Star	"Earth Wormhole L5"
{
    ParentBody     "L5-Sol-Earth"
    ConnectTo      "Neverwhere"
    Class          "Wormhole"

    Luminosity      0

    Mass            1.0e-10	// Earth masses
    Radius          1.0		// km
    Length          1.0		// km
    WarpWidth       0.05	// km

    FixedPosPolar   (0.000000 0.000000 0.000000)
}
/**/
//------------------------------------------------------------------------------
Asteroid "Earth Gate L5" 
{ 
    ParentBody  "L5-Sol-Earth"
    Class       "Asteroid" 
    Radius      1000.0
    Mass        1.2e-006
    
    Oblateness      0.90
    Obliquity       0.0
    EqAscNode       0.0
    
    RotationPeriod  0.0166667
    Precession      1e12
    
    Surface
    {
        DiffMapAlpha    "Transp"
        DiffMap         "Gate/WHRingHoles#2.*"
        BumpMap         "Gate/WHRingsBump.*"
        BumpHeight      20.0
        BumpOffset      10.0
        GlowMap         "Gate/WHLights.*" 
        GlowMode        "Night"
        GlowColor      (1.00 0.90 0.66)
        GlowBright      0.25
    }
    
    Clouds
    {
        DiffMapAlpha    "Transp"
        //DiffMap         "Gate/RedGreen.*"
        DiffMap         "Gate/Grey.*"
        //GlowMap         "Gate/RedGreen.*" 
        GlowMap         "Gate/Grey.*" 
        GlowMode        "Night"
        GlowColor      (1.00 0.90 0.66)
        GlowBright      0.25
        Height          -1.0
        Velocity        0.0
    }
    
    Clouds
    {
        DiffMapAlpha    "Transp"
        DiffMap         "Gate/Grey.*"
        GlowMap         "Gate/Grey.*" 
        GlowMode        "Night"
        GlowColor      (1.00 0.90 0.66)
        GlowBright      0.25
        Height          -1.0
        Velocity        0.0
    }
    
    Clouds
    {
        DiffMapAlpha    "Transp"
        DiffMap         "Gate/WHRing.*"
        BumpMap         "Gate/WHRingsBump.*"
        BumpHeight      20.0
        BumpOffset      10.0
        Height          -3.0
        Velocity        0.0
    }
    
    Clouds
    {
        DiffMapAlpha    "Transp"
        DiffMap         "Gate/WHWaves5.*"
        BumpMap         "Gate/WHWavesBump.*"
        BumpHeight      20.0
        BumpOffset      10.0
        Height          -5.0
        Velocity        63.4921
    }
    
    StaticPosPolar   (0.000000 0.000000 0.000000)
}

//------------------------------------------------------------------------------
Asteroid "L5 FS"        // L5 front shield
{
    ParentBody  "Earth Gate L5"
    Class       "Asteroid"
    Radius      1000.0
    Mass        1.2e-006
    
    Oblateness      0.90
    
    Obliquity       0.0
    EqAscNode       0.0
    
    RotationPeriod  0.0166667
    Precession      1e12
    
    Surface
    {
        DiffMapAlpha    "Transp"
        DiffMap         "Gate/Shield.*"
        BumpMap         "Gate/ShieldBump.*"
        BumpHeight      20.0
        BumpOffset      10.0
        GlowMap         "Gate/ShieldLight.*"
        GlowMode        "Night"
        GlowColor      (1.00 0.40 0.16)
        GlowBright      0.25
    }
    
    Clouds
    {
        DiffMapAlpha    "Transp"
        DiffMap         "Gate/Shield.*"
        Height          -10.0
        Velocity        0.0
    }

    NoOcean         true
    NoLava          true
    NoAtmosphere    true
    NoAurora        true
    NoRings         true
    NoAccretionDisk true
    NoCometTail     true

    FixedPosPolar   (0.000000 90.000000 0.0)
}

Asteroid "L5 BS"        // L5 back shield
{
    ParentBody  "Earth Gate L5"
    Class       "Asteroid"
    Radius      1000.0
    Mass        1.2e-006
    
    Oblateness      0.90
    
    Obliquity       180.0
    EqAscNode       0.0
    
    RotationPeriod  0.0166667
    Precession      1e12
    
    Surface
    {
        DiffMapAlpha    "Transp"
        DiffMap         "Gate/Shield.*"
        BumpMap         "Gate/ShieldBump.*"
        BumpHeight      20.0
        BumpOffset      10.0
        GlowMap         "Gate/ShieldLight.*"
        GlowMode        "Night"
        GlowColor      (1.00 0.40 0.16)
        GlowBright      0.25
    }
    
    Clouds
    {
        DiffMapAlpha    "Transp"
        DiffMap         "Gate/Shield.*"
        Height          -10.0
        Velocity        0.0
    }

    NoOcean         true
    NoLava          true
    NoAtmosphere    true
    NoAurora        true
    NoRings         true
    NoAccretionDisk true
    NoCometTail     true

    FixedPosPolar   (0.000000 0.000000 0.0)
}

//------------------------------------------------------------------------------
